prev - up - next - index

# Proc

  The `Proc` is the procedure object, which is the encapsulated block with context, such as local variables and stack frames. The `Proc` object acts like an unnamed function except it does not have its own local variable scope. (Although, local variables which appear first in the block can have distinct value for each `Proc`.) The non local jump such as `return`, `break`, `next`, `redo`, `retry` raise the exceptions, once returned from `Proc` creation methods.

## SuperClass:

  `Object`

## Class Methods:

  `new`

    Wraps the block with context and creates a new procedure object.

## Methods:

  `self[arg...]`
  `call(arg...)`

    Executes the procedure wrapped in the object. Arguments to the `call` are assigned to the block parameter.

prev - up - next - index

matz@netlab.co.jp